## roundcube 1.4.8+dfsg.1

=== debian/changelog ===
roundcube (1.4.8+dfsg.1-1) unstable; urgency=high

  * New upstream bugfix release, including security fix for CVE-2020-16145:
    Cross-site scripting (XSS) vulnerability via HTML messages with malicious
    svg or math content. (Closes: #968216)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 11 Aug 2020 16:45:02 +0200

roundcube (1.4.7+dfsg.2-1) unstable; urgency=low

  * d/rules: Exclude TinyMCE language Javascript packs from minification as
    Roundcube and TinyMCE load $code.js files not $code.min.js.
  * d/patches: Rename Use-system-JQueryUI.patch to use-system-JQueryUI.patch.
  * Bundle TinyCME as secondary orig tarballs (downloaded automatically using
    custom uscan(1) script) rather than in d/missing-sources.  The TinyCME zip
    archive we used to ship in d/missing-sources violates DFSG (since
    1.3.0+dfsg.1-1), because upstream's jsdeps.json links to the so-called
    "production package" which doesn't include preferred sources of
    modification.  This remained unnoticed because lintian doesn't inspect the
    content of archives in d/missing-sources.  Unfortunately Roundcube is
    still too dependent on the TinyCME version for us to switch to the
    packaged version (see #784351), so we use secondary tarballs (repacked to
    exclude generated files such as minified JS and CSS files) for now.
  * d/control: Bump minimum node-less version to 3.0.0 as for later versions
    evaluation of JavaScript inline is disabled by default unless the new --js
    flag is set.
  * d/patches: Add Forwarded: DEP-3 headers.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 24 Jul 2020 02:44:11 +0200

roundcube (1.4.7+dfsg.1-1) unstable; urgency=high

  * New upstream bugfix release, including security fix for: CVE-2020-15562:
    Cross-Site Scripting (XSS) vulnerability via HTML messages with malicious
    svg/namespace (Closes: #964355)

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 05 Jul 2020 23:57:50 +0200

roundcube (1.4.6+dfsg.1-3) unstable; urgency=low

  * d/upstream/metadata: Add upstream's screenshot URL.
  * d/po/de.po: Convert from ISO-8859-15 to TDF-8.
  * Remove bundled OpenPGP.js as the bundled source is not the preferred form
    of modification hence violates DFSG.  This breaks key generation in the
    enigma plugin (server-side OpenPGP support), but other key operations
    (incl. import of private keys) still work.  That being said enigma is
    already broken in Buster (and Bullseye too right now) due to the missing
    dependency 'php-crypt-gpg'.  Admins wanting enigma already need to
    manually install the dependency; they'll now need to also copy

        https://raw.githubusercontent.com/openpgpjs/openpgpjs/v4.4.6/dist/openpgp.min.js

    (or a later version) to /usr/share/roundcube/plugins/enigma/openpgp.min.js
    for key generation to keep working.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 04 Jul 2020 01:07:51 +0200

roundcube (1.4.6+dfsg.1-2) unstable; urgency=medium

  * d/rules: Fix FTBFS on systems where lessc(1) 1.6.3 uses node 12.18.0.
  * d/roundcube-core.preinst: Remove script as the dbconfig logic is a no-op.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Jun 2020 14:01:20 +0200

roundcube (1.4.6+dfsg.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * d/copyright: Add generated CSS (minified or compiled from LESS sources) to
    Files-Excluded:.  We don't want these in our (repacked) orig tarball nor
    in our git tree.  d/origtargz-diff.sh can be used to verify that all
    upstream-generated CSS/JS files are re-generated at build time and that
    none is missing from our .debs.

 -- Guilhem Moulin <guilhem@debian.org>  Sun, 07 Jun 2020 16:43:45 +0200

roundcube (1.4.5+dfsg.1-2) unstable; urgency=low

  * d/copyright: Upgrade URLs to secure HTTP.
  * d/copyright: Simplify Files-Excluded: pattern for generated JS files.  Add
    new helper script d/origtargz-diff.sh to make sure we ship all files:
    generated files from the upstream tarball (before repacking) are excluded
    from the repacked .orig tarball, so we need to generate them back at build
    time and install them somewhere.
  * d/rules: Replace `find -print0 | xargs -r0` calls and loops with `find
    -exec`.
  * d/rules: Minify CSS files ourselves (like for .js files we minify all
    files, even the ones for which there is no .min.css in the upstream tree).
  * d/rules: Add yui-compressor to Build-Depends: for CSS minification.
  * d/patches/debianize-config.patch: typofix (closes: #931909).
  * d/rules: Also (re-)minify CSS/JS in roundcube-plugins, not only in
    roundcube-core.  The upstream tarball contains multiple plugins/*/*.min.js
    files before repacking, and while Roundcube seems to manage without, there
    are no reasons not to re-minify these in additions to the files in -core.
  * d/roundcube-core.preinst: Drop logic to remove old symlinks with file
    targets (.js, .txt etc.) as dpkg is able to handle these on its own.
  * d/roundcube-core.{pre,post}inst: Drop logic to handle upgrade path from
    ancient versions (<oldstable).  We don't support these upgrade paths and
    it clutters the maintainer scripts.
  * d/roundcube-core.maintscript: Ensure smooth directory-to-symlink
    conversion.  This is required for upgrades from <1.4~.
  * d/roundcube-core.dirs: Remove var/lib/roundcube/config as dh_link will
    create a symlink to etc/roundcube with that name.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 06 Jun 2020 16:44:07 +0200

roundcube (1.4.5+dfsg.1-1) unstable; urgency=high

  * New upstream bugfix release, including security fixes for:
    - CVE-2020-13964: Cross-Site Scripting (XSS) vulnerability in template
      object 'username' (closes: #962123)
    - CVE-2020-13965: Cross-Site Scripting (XSS) vulnerability via malicious
      XML messages (closes: #962124)
  * d/roundcube-core.postinst: Also call ucfr(1) on existing config.inc.php
    and always pass --debconf-ok to ucf(1).
  * Bump debhelper compatibility level to 13.

