## roundcube 1.4.11+dfsg.1

=== debian/changelog ===
roundcube (1.4.11+dfsg.1-2) unstable; urgency=medium

  * d/rules: Reorder targets based on the dh sequencer execution order.
  * d/roundcube-core.README.Debian: Add instructions for running Roundcube
    code as a user:group other than the default www-data:www-data.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Feb 2021 21:49:03 +0100

roundcube (1.4.11+dfsg.1-1) unstable; urgency=high

  * New upstream bugfix/security release.
  * d/rules: Remove duplicate dh_link call.
  * d/rules: Fix sourcemap URLs in minified CSS.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 08 Feb 2021 23:32:06 +0100

roundcube (1.4.10+dfsg.2-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Remove retry-to-reach-imap-server.patch (Closes: #960302)
    It triggered too many issues for other users.

  [ Guilhem Moulin ]
  * Update d/missing-sources/README.
  * Remove useless duplicate d/install-jsdeps.sh.
  * d/rules: Use execute_after_dh_* from Debhelper compatibility level 13 when
    relevant.
  * d/control: Require php* <8.0 in dependencies.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 08 Feb 2021 00:22:01 +0100

roundcube (1.4.10+dfsg.2-1) unstable; urgency=low

  * Retroactively update roundcube-plugins.NEWS as enigma is currently usable
    in Bullseye and sid.
  * d/rules: Complete refactoring.
  * Ship skin README files to /usr/share/doc/PACKAGE/skins.
  * Run bin/updatecss.sh at build time to (re-)stamp background images.
  * Exclude irrelevant scripts from binary packages: cssshrink.sh, initdb.sh,
    install-jsdeps.sh, installto.sh, jsshrink.sh, makedoc.sh, updatecss.sh,
    and updatedb.sh.
  * Don't install .htaccess into /usr/share/roundcube.  The root directory for
    the HTTPd is /var/lib/roundcube and already ship the htaccess there.
  * Don't install the installer into /usr/share/roundcube.
  * Lintian overrides: Remove package annotations.
  * Remove upstream installation instructions from /usr/share/doc/roundcube-core
  * Lintian: Override false positive
    package-contains-documentation-outside-usr-share-doc and
    package-contains-empty-directory.
  * Install managesieve helpdocs to /usr/share/doc/roundcube-plugins.
  * Install password helpers into /usr/share/roundcube/plugins/password/helpers
    not into /usr/share/doc/roundcube-core/examples.
  * plugins/password/helpers/chpass-wrapper.py: use python3 as interpreter and
    add to roundcube-plugins' Suggests.
  * d/watch: Monitor git tags rather than release tarballs.
  * d/gbp.conf: Add upstream VCS tag as additional parent to upstream/$VERSION.
  * d/gbp.conf: Rename upstream branch to upstream/release-1.4.
  * Recommend using new directory /var/lib/roundcube/public_html as document
    root.
  * Update d/*.README.Debian with current instructions.
  * Run the upstream test suite (excluding Selenium-based web tests) at build
    time (unless under 'nocheck' build profile).  This adds phpunit,
    php-masterminds-html5 and php-intl to Build-Depends.
  * Add DEP-8 tests.  For now this only consists of the upstream test suite
    (excluding Selenium-based web tests).
  * Replace Build-Depends: closure-compiler, yui-compressor with cleancss,
    uglifyjs (>=3), used respectively for CSS and Javascript minification.
    Build also source maps alongside the minified code.  (Closes: #978073)
  * Elastic skin: Ship non-minified CSS and sourcemap alongside Less source
    files.  (Closes: #978070)
  * New Build-Depends: pigz.  Ship gzipped (minified) JS and CSS files along
    side the non-compressed versions.  Compatible HTTPds can send these files
    as is in order to avoid on-the-fly compression overhead.
    (Closes: #978075)

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 15 Jan 2021 23:55:02 +0100

roundcube (1.4.10+dfsg.1-1) unstable; urgency=high

  * New upstream bugfix release, including security fix for: CVE-2020-35730:
    Cross-site scripting (XSS) vulnerability via HTML or Plain text messages
    with malicious content svg/namespace. (Closes: #978491)
  * d/rules: Make sure to fail the build when an error is raised in a for
    loop. (Closes: #978069)
  * d/rules: Refactor and move CSS/JS generation and minification from
    override_dh_auto_install to override_dh_auto_build.  Thanks to Jonas
    Smedegaard pointing this out.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Upgrade watch file to version 4.
  * Rename Debian branch to debian/latest for DEP-14 compliance.
  * d/gbp.conf: Remove custom setting compression=xz.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 28 Dec 2020 01:33:45 +0100

roundcube (1.4.9+dfsg.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 01 Oct 2020 17:43:08 +0200
