=== debian/control ===
--- 
+++ 
@@ -5,18 +5,22 @@
 Uploaders: Vincent Bernat <bernat@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Guilhem Moulin <guilhem@debian.org>
-Build-Depends: closure-compiler,
+Build-Depends: cleancss,
                debhelper-compat (= 13),
                dh-buildinfo,
                node-less (>= 3.0.0~),
+               php-intl <!nocheck>,
+               php-masterminds-html5 <!nocheck>,
                php-mbstring,
+               phpunit (>= 9~) <!nocheck>,
+               pigz,
                pkg-php-tools,
                po-debconf,
-               yui-compressor
+               uglifyjs (>= 3)
 Rules-Requires-Root: no
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube
 
 Package: roundcube-core
@@ -24,7 +28,7 @@
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: dbconfig-common,
          debconf,
-         libapache2-mod-php | php,
+         libapache2-mod-php (<< 2:8.0~) | php (<< 2:8.0~),
          libjs-bootstrap4 (>= 4.3.1~),
          libjs-codemirror (>= 5.46.0~),
          libjs-jquery (>= 3.3.1~),
@@ -32,10 +36,10 @@
          libjs-jquery-ui (>= 1.12.0~),
          libjs-jstimezonedetect (>= 1.0.6~),
          libmagic1,
-         php-cli,
-         php-intl,
-         php-json,
-         php-mbstring,
+         php-cli (<< 2:8.0~),
+         php-intl (<< 2:8.0~),
+         php-json (<< 2:8.0~),
+         php-mbstring (<< 2:8.0~),
          php-pear (>= 1:1.10.1),
          roundcube-mysql (= ${source:Version}) | roundcube-sqlite3 (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
          ucf,
@@ -107,7 +111,7 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: roundcube-core (= ${source:Version}), ${misc:Depends}
-Suggests: php-cli, php-crypt-gpg, php-net-sieve, php-zip
+Suggests: php-cli, php-crypt-gpg, php-net-sieve, php-zip, python3
 Breaks: roundcube-plugins-extra (<= 0.7-20120110)
 Replaces: roundcube-plugins-extra (<= 0.7-20120110)
 Description: skinnable AJAX based webmail solution for IMAP servers - plugins
