## roundcube 1.4.12+dfsg.1

=== debian/changelog ===
roundcube (1.4.12+dfsg.1-1~deb11u1) bullseye-security; urgency=high

  * New bugfix/security upstream release (closes: #1000156), with fixes for:
    + CVE-2021-44025: XSS issue in handling attachment filename extension in
      mimetype mismatch warning; and
    + CVE-2021-44026: possible SQL injection via some session variables.
  * d/gbp.conf: Rename upstream branch to upstream/release-1.4.
  * d/salsa-ci.yml: Set RELEASE=bullseye.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Nov 2021 20:07:03 +0100

roundcube (1.4.11+dfsg.1-4) unstable; urgency=medium

  * d/roundcube-core.postinst: Remove the roundcube lighttpd module after it
    has been disabled, not before (closes: #988282).
  * d/roundcube-core.postinst: lighttpd: Don't enable fastcgi-php if there is
    already an enabled fastcgi .php handler (closes: #988236).
  * d/uupdate: Fix comment.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 May 2021 20:45:48 +0200

roundcube (1.4.11+dfsg.1-3) unstable; urgency=medium

  * Remove versioned dependency (php* <<8.0) as it prevents users from
    upgrading php-common (e.g. via 3rd-party repositories).  Instead we give a
    hint which phpX.Y-* packages needs to be manually installed.  Thanks to
    the Debian PHP PEAR Maintainers for their input!

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 26 Feb 2021 23:44:31 +0100
