## roundcube 1.4.13+dfsg.1

=== debian/changelog ===
roundcube (1.4.13+dfsg.1-1~deb11u1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 08 Jan 2022 23:59:52 +0100

roundcube (1.4.13+dfsg.1-1~deb11u1) bullseye-security; urgency=high

  * New security upstream release, with fix for CVE-2021-46144: XSS
    vulnerability via HTML messages with malicious CSS content
    (closes: #1003027).
  * Prepend '<!-- html ignored -->' to the test vector of the above.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 06 Jan 2022 08:51:41 +0100

roundcube (1.4.12+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 04 Dec 2021 14:34:59 +0100

roundcube (1.4.11+dfsg.1-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 25 May 2021 18:49:56 +0200

roundcube (1.4.11+dfsg.1-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 09 Mar 2021 08:19:45 +0100

roundcube (1.4.11+dfsg.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * d/control: Restore node-less >=3 in Build-Depends: and use the same
    d/rules as the src:roundcube from sid.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 22 Feb 2021 12:13:07 +0100

roundcube (1.4.11+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * d/control: Set maximum node-less version back to <3.0.0 in Build-Depends
    as newer versions are not co-instablable with buster-backports's uglifyjs.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 11 Feb 2021 10:17:26 +0100

roundcube (1.4.10+dfsg.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Remove FTBFS fixes for phpunit 9.5 and phpunit 10 from d/patches, as these
    are FTBFS with Buster's phpunit 8.5.
  * Build-Depends: Lower mininimum phpunit version from 9 to 7.
  * buster-backports has node-less >=3 now so use that in Build-Depends: and
    use the same d/rules as the src:roundcube from sid.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 26 Jan 2021 20:19:34 +0100

roundcube (1.4.10+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 30 Dec 2020 10:31:19 +0100

roundcube (1.4.9+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 07 Oct 2020 15:03:16 +0200

roundcube (1.4.8+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 14 Aug 2020 12:59:55 +0200

roundcube (1.4.7+dfsg.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.  Changes:
    - d/rules: Remove --js flag in lessc(1) calls as it was default before
      3.0.0.
    - d/control: Set maximum node-less version to <3.0.0

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 03 Aug 2020 14:08:51 +0200

roundcube (1.4.7+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 08 Jul 2020 14:28:56 +0200

roundcube (1.4.6+dfsg.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 23 Jun 2020 10:52:18 +0200

roundcube (1.4.6+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 18 Jun 2020 13:23:50 +0200

roundcube (1.4.5+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 06 Jun 2020 06:47:17 +0200

roundcube (1.4.4+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * debian/control: Trim Uploaders: list to match the one for sid.
  * debian/gbp.conf: Set debian-branch to 'debian/buster-backports'.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 01 May 2020 23:42:53 +0200

roundcube (1.4.3+dfsg.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
    + Add myself as Uplaoder to track package.
    + Lower dependency on libjs-codemirror after checking upstream
      changelog for backwards-compatibility.

 -- Dominik George <natureshadow@debian.org>  Mon, 30 Mar 2020 20:14:29 +0200
