## roundcube 1.4.15%2Bdfsg.1

=== debian/changelog ===
roundcube (1.4.15+dfsg.1-1+deb11u5) bullseye-security; urgency=high

  * Fix CVE-2025-49113: Post-Auth RCE via PHP Object Deserialization.
    (Closes: #1107073)
  * Regression fix: The fix for CVE-2024-42010 caused some HTML messages to be
    displayed unstyled.
  * Improve d/p/CVE-2024-37384.patch to use get_input_string() rather than
    get_input_value() for consistency with the upstream change.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 06 Jun 2025 20:34:20 +0200

roundcube (1.4.15+dfsg.1-1+deb11u4) bullseye-security; urgency=high

  * Fix CVE-2024-42008: Cross-site scripting (XSS) vulnerability in serving of
    attachments other than HTML or SVG.
  * Fix CVE-2024-42009: Cross-site scripting (XSS) vulnerability in
    post-processing of sanitized HTML content. (Closes: #1077969)
  * Fix CVE-2024-42010: Information leak (access to remote content) via
    insufficient CSS filtering.
  * Backport upstream fix for infinite loop when parsing malformed Sieve
    script.

 -- Guilhem Moulin <guilhem@debian.org>  Thu, 08 Aug 2024 23:48:56 +0200

roundcube (1.4.15+dfsg.1-1+deb11u3) bullseye-security; urgency=high

  * Fix CVE-2024-37384: Cross-site scripting (XSS) vulnerability in handling
    list columns from user preferences. (Closes: #1071474)
  * Fix CVE-2024-37383: Cross-site scripting (XSS) vulnerability in handling
    SVG animate attributes. (Closes: #1071474)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 17 Jun 2024 04:10:38 +0200

roundcube (1.4.15+dfsg.1-1~deb11u2) bullseye-security; urgency=high

  * Fix CVE-2023-47272: Cross-site scripting (XSS) vulnerability in setting
    Content-Type/Content-Disposition for attachment preview/download.
    (Closes: #1055421)

 -- Guilhem Moulin <guilhem@debian.org>  Tue, 28 Nov 2023 15:49:21 +0100

roundcube (1.4.15+dfsg.1-1~deb11u1) bullseye-security; urgency=high

  * New security/bugfix upstream release:
    + Fix CVE-2023-5631: Cross-site scripting (XSS) vulnerability in handling
      of SVG in HTML messages. (Closes: #1054079)
  * Salsa CI: Disable lintian and reprotest jobs.
  * Refresh patches.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 18 Oct 2023 23:40:57 +0200

roundcube (1.4.14+dfsg.1-1~deb11u1) bullseye; urgency=high

  * New security/bugfix upstream release:
    + Fix CVE-2023-43770: cross-site scripting (XSS) vulnerability in handling
      of linkrefs in plain text messages. (Closes: #1052059)
    + Enigma: Fix initial synchronization of private keys.
  * d/u/signing-key.asc: Add Alec's key BEE674A019359DC1.
  * Refresh d/patches.

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 25 Sep 2023 11:32:59 +0200
