## roundcube 1.4.15+dfsg.1

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Pre-Depends: dpkg (>= 1.17.14)
 Depends: dbconfig-common,
          debconf,
-         libapache2-mod-php (<< 2:8.0~) | php (<< 2:8.0~),
+         libapache2-mod-php | php,
          libjs-bootstrap4 (>= 4.3.1~),
          libjs-codemirror (>= 5.46.0~),
          libjs-jquery (>= 3.3.1~),
@@ -36,10 +36,10 @@
          libjs-jquery-ui (>= 1.12.0~),
          libjs-jstimezonedetect (>= 1.0.6~),
          libmagic1,
-         php-cli (<< 2:8.0~),
-         php-intl (<< 2:8.0~),
-         php-json (<< 2:8.0~),
-         php-mbstring (<< 2:8.0~),
+         php-cli,
+         php-intl,
+         php-json,
+         php-mbstring,
          php-pear (>= 1:1.10.1),
          roundcube-mysql (= ${source:Version}) | roundcube-sqlite3 (= ${source:Version}) | roundcube-pgsql (= ${source:Version}),
          ucf,
