=== debian/tests/control ===
Test-Command: env RCUBE_INSTALL_PATH=/var/lib/roundcube phpunit -c tests/phpunit.xml
Depends: phpunit, @
Restrictions: superficial
