## roundcube 1.5.0%2Bdfsg.1

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,23 @@
                debhelper-compat (= 13),
                dh-buildinfo,
                node-less (>= 3.0.0~),
+               php-crypt-gpg <!nocheck>,
+               php-gd <!nocheck>,
                php-intl <!nocheck>,
+               php-mail-mime <!nocheck>,
                php-masterminds-html5 <!nocheck>,
                php-mbstring,
+               php-net-ldap3 <!nocheck>,
+               php-sqlite3 <!nocheck>,
                phpunit (>= 9~) <!nocheck>,
                pigz,
                pkg-php-tools,
                po-debconf,
+               sqlite3 <!nocheck>,
                uglifyjs (>= 3)
 Rules-Requires-Root: no
 Homepage: https://www.roundcube.net/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/roundcube-team/roundcube.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/roundcube-team/roundcube
 
@@ -29,9 +35,9 @@
 Depends: dbconfig-common,
          debconf,
          libapache2-mod-php | php,
-         libjs-bootstrap4 (>= 4.3.1~),
-         libjs-codemirror (>= 5.46.0~),
-         libjs-jquery (>= 3.3.1~),
+         libjs-bootstrap4 (>= 4.5.2~),
+         libjs-codemirror (>= 5.58.3~),
+         libjs-jquery (>= 3.5.1~),
          libjs-jquery-minicolors (>= 2.2.6~),
          libjs-jquery-ui (>= 1.12.0~),
          libjs-jstimezonedetect (>= 1.0.6~),
@@ -46,8 +52,8 @@
          ${misc:Depends},
          ${phpcomposer:Debian-require}
 Recommends: apache2 | lighttpd | spawn-fcgi | php-fpm | httpd-cgi,
+            php-enchant,
             php-gd,
-            php-pspell,
             ${phpcomposer:Debian-recommend}
 Suggests: roundcube-plugins, ${phpcomposer:Debian-suggest}
 Breaks: roundcube-plugins-extra (<= 0.6-20111030)
